import request from '@/utils/request'

// 查询资源文件列表
export function listMallUploadFile(query) {
  return request({
    url: '/mall/mallUploadFile/list',
    method: 'get',
    params: query
  })
}

// 查询资源文件详细
export function getMallUploadFile(id) {
  return request({
    url: '/mall/mallUploadFile/' + id,
    method: 'get'
  })
}

// 新增资源文件
export function addMallUploadFile(data) {
  return request({
    url: '/mall/mallUploadFile',
    method: 'post',
    data: data
  })
}

// 修改资源文件
export function updateMallUploadFile(data) {
  return request({
    url: '/mall/mallUploadFile',
    method: 'put',
    data: data
  })
}

// 删除资源文件
export function delMallUploadFile(id) {
  return request({
    url: '/mall/mallUploadFile/' + id,
    method: 'delete'
  })
}

// 导出资源文件
export function exportMallUploadFile(query) {
  return request({
    url: '/mall/mallUploadFile/export',
    method: 'get',
    params: query
  })
}